Running stock AT&T iPhone 3G on 4.0, baseband 05.13.04. Can I unlock?

Discussion in 'Jailbreaks and iOS Hacks' started by theNEOone, Aug 20, 2011.

  1. theNEOone macrumors 6502

    Joined:
    Jun 28, 2007
    Location:
    NYC
    #1
    My g/f has an old 3G that's never been jailbroken. Is it possible to update the software (I think 4.2 is the most recent for the 3G) and jailbreak/unlock the phone?


    =|
     
  2. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #2
    Yes, use pwnage or snowbreeze to create a custom 4.2.1 ipsw and restore to that.
    Then install ultrasnow from cydia.
     
  3. theNEOone thread starter macrumors 6502

    Joined:
    Jun 28, 2007
    Location:
    NYC
    #3
    Hmmm, 4.2.1? I thought that the 3G was only up to 4.2.... Is this a workaround?


    =|
     
  4. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #4
    No, the highest firmware for an iphone 3G is 4.2.1
    After that Apple stopped support for it so that's the highest you can go.
     
  5. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #5
    Or you can downgrade to 3.1.3. Must more faster than 4.2.1, you're iPhone won't be a snail with 3.1.3 on it.
     
  6. theNEOone thread starter macrumors 6502

    Joined:
    Jun 28, 2007
    Location:
    NYC
    #6
    I think I'll downgrade... I'm forgetting the benefits of 4.0... was it just folders?

    Also, can you tell me how the baseband is affected by updates? I have 05.13.04 and from what I've read this is an unlockable baseband. I don't want to lose it... will upgrading to 4.2.1 (or downgrading to 3.1.3) cause any funkiness with my baseband?

    Thanks guys! I love these forums... such a resourceful crowd!


    =|
     
  7. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #7
    Well said, I'd pick 3.1.3 on a 3G any day.
     
  8. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #8
    Downgrading keeps the baseband the same. Upgrade with an official ipsw upgrades the baseband.

    In this case going to 3.1.3 you'll still be able to unlock since 5.13.xx is unlockable with ultrasn0w.
     

Share This Page